Module
Contents
Index 🔎︎

# MsgBox Statement

Visar en dialogruta som innehåller ett meddelande.

## Syntax:

    MsgBox Text As String [,Type As Integer [,Dialogtitle As String]] (As Statement) eller MsgBox (Text As String [,Type As Integer [,Dialogtitle As String]]) (As Function)

## Parameter:

Text: Stränguttryck visat som ett meddelande i dialogrutan. Radbrytningar kan infogas med Chr$(13).

DialogTitle: Stränguttryck visat i dialogrutans titellist. Om det utelämnas visas namnen på respektive program på titellisten.

Typ: Ett heltalsuttryck som anger dialogrutetypen liksom hur många och vilken typ av knappar som ska visas, samt ikontypen. Typ representerar en kombination av bitmönster, dvs. en kombination av element kan definieras genom att respektive värde läggs till:

Named constant | Integer value | Definition
MB_OK | 0 | Display OK button only.
MB_OKCANCEL | 1 | Display OK and Cancel buttons.
MB_ABORTRETRYCANCEL | 2 | Display Abort, Retry, and Ignore buttons.
MB_YESNOCANCEL | 3 | Display Yes, No, and Cancel buttons.
MB_YESNO | 4 | Display Yes and No buttons.
MB_RETRYCANCEL | 5 | Display Retry and Cancel buttons.
MB_ICONSTOP | 16 | Add the Stop icon to the dialog.
MB_ICONQUESTION | 32 | Add the Question icon to the dialog.
MB_ICONEXCLAMATION | 48 | Add the Exclamation Point icon to the dialog.
MB_ICONINFORMATION | 64 | Add the Information icon to the dialog.
| 128 | First button in the dialog as default button.
MB_DEFBUTTON2 | 256 | Second button in the dialog as default button.
MB_DEFBUTTON3 | 512 | Third button in the dialog as default button.

## Error codes:

5 Felaktigt proceduranrop

## Exempel:

    Sub ExampleMsgBox

     Const sText1 = "Ett oväntat fel inträffade."

     Const sText2 = "Programmet kommer dock att fortsätta köras."

     Const sText3 = "Fel"

     MsgBox(sText1 + Chr(13) + sText2,16,sText3)

     MsgBox(sText1 + Chr(13) + sText2, MB_ICONSTOP, sText3)

    End Sub